Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Interface WSRPService

All Superinterfaces:
  javax.xml.rpc.Service

    public interface WSRPService

extends javax.xml.rpc.Service

Method Summary
`WSRP_v1_Markup_PortType` | `getWSRPMarkupService()`
`WSRP_v1_PortletManagement_PortType` | `getWSRPPortletManagementService()`
`WSRP_v1_Registration_PortType` | `getWSRPRegistrationService()`
`WSRP_v1_ServiceDescription_PortType` | `getWSRPServiceDescriptionService()`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Method Detail

### getWSRPMarkupService

    WSRP_v1_Markup_PortType getWSRPMarkupService()
                                                 throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### getWSRPServiceDescriptionService

    WSRP_v1_ServiceDescription_PortType getWSRPServiceDescriptionService()
                                                                         throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### getWSRPRegistrationService

    WSRP_v1_Registration_PortType getWSRPRegistrationService()
                                                             throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### getWSRPPortletManagementService

    WSRP_v1_PortletManagement_PortType getWSRPPortletManagementService()
                                                                       throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD